package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V11_3_To_V11_4 extends AbstractUpdate
{
	
	public V11_3_To_V11_4()
	{
		super(11.3,11.4,"Higiene e seguranca: restruturacao");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_legislacao_estabelecimento add column ordem int4; " +
					"alter table hs_relatorio_legislacao add column ordem int4; "
			);
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
